Get an existing webhook profile
curl --request GET \
--url https://api-sb.meld.io/notifications/webhooks/{webhookProfileId} \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/notifications/webhooks/{webhookProfileId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/notifications/webhooks/{webhookProfileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "<string>",
"eventTypes": [
"<string>"
],
"eventVersion": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"secret": "<string>",
"status": "ACTIVE",
"url": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Bad request",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00",
"errors": [
"[Meld-Version] is invalid"
]
}{
"code": "UNAUTHORIZED",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "FORBIDDEN",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "NOT_FOUND",
"message": "Resource not found",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "UNEXPECTED_ERROR",
"message": "Unexpected error",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}Profile
Get an existing webhook profile
GET
/
notifications
/
webhooks
/
{webhookProfileId}
Get an existing webhook profile
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
Example:
"2026-02-03"
Path Parameters
Unique identifier for the webhook profile
Response
Webhook profile is returned
Account Id
Event types that will be sent to the URL. If empty, then all events will be sent to the URL.
Reference Webhook events
Version of webhooks sent to the URL.
Reference Webhook version
Unique identifier
Unique key corresponding to a webhook profile's position in a paginated list of results. Only present if this webhook profile is in a paginated response.
Reference Pagination
Display name
Secret used to validate authenticity of a webhook.
Reference Webhook authentication
Current status
Available options:
ACTIVE, DISABLED URL where webhooks will be sent